## org.eclipse.m2m.atl.dsls
Interface Resource

    public interface Resource

The Resource interface.

Method Summary
`org.eclipse.emf.common.util.URI` `asEMFURI()` Returns the EMF URI of the resource.
`TextSource` `asTextSource()` Returns a text source based on the current resource.
`java.net.URL` `asURL()` Returns the URL of the resource.

Method Detail

### asTextSource

    TextSource asTextSource()

  Returns a text source based on the current resource.

  Returns:
    a text source based on the current resource

### asURL

    java.net.URL asURL()

  Returns the URL of the resource.

  Returns:
    the URL of the resource

### asEMFURI

    org.eclipse.emf.common.util.URI asEMFURI()

  Returns the EMF URI of the resource.

  Returns:
    the EMF URI of the resource

Copyright 2007 IBM Corporation and others. All Rights Reserved.